%global srcname platformdirs

Summary:        Python module for determining appropriate platform-specific dirs
Name:           python-%{srcname}
Version:        2.5.4
Release:        4%{?dist}
License:        MIT
URL:            https://github.com/platformdirs/platformdirs
Source0:        https://files.pythonhosted.org/packages/source/p/platformdirs/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
A small Python module for determining appropriate platform-specific dirs, e.g. a "user data dir".

%package -n python3-%{srcname}
Summary:        Python module for determining appropriate platform-specific dir
BuildRequires:  python3-devel

%description -n python3-%{srcname}
A small Python module for determining appropriate platform-specific dirs, e.g. a "user data dir".

%prep
%autosetup -n %{srcname}-%{version}

sed -i '/from pytest_mock/d' tests/test_unix.py

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest --ignore=tests/test_android.py \
    -k "not test_xdg_variable_not_set and \
        not test_xdg_variable_empty_value and \
        not test_xdg_variable_custom_value and \
        not test_user_documents_dir"

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGES.rst

%changelog
* Mon Sep 2 2024 Shuo Wang <abushwang@tencent.com> - 2.5.4-4
- remvoe some buildrequires to pytest-mock

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.4-3
- Rebuilt for loongarch release

* Tue Jul 9 2024 Shuo Wang <abushwang@tencent.com> - 2.5.4-2
- remove unused rm license

* Mon Sep 25 2023 jackeyji <jackeyji@tencent.com> - 2.5.4-1
- upgrade to 2.5.4

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 Shuo Wang <abushwang@tencent.com> - 2.3.0-1
- initial build
